Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

STActor
STBundleInfo
STContext
STConversation
STEngine
STEnvironment
STEnvironmentDescription
STFileScript
STLanguageManager
STObjectReference
STRemoteConversation
STScript
STScriptObject
STScriptsManager
STSelector
STUndefinedObject

### Protocols

<STConversation>
<STEnvironmentProcess>
<STMethod>
<STScriptObject>
<STScripting>

### Constants

### Functions

STAllObjectiveCClasses
STAllObjectiveCSelectors
STClassDictionaryWithNames
STConstructMethodSignatureForSelector
STFindAllResources
STFindResource
STGetFoundationConstants
STGetValueOfTypeFromObject
STMethodSignatureForSelector
STObjectFromValueOfType
STSelectorFromString
STSelectorFromValue
STUserConfigPath
STValueFromSelector

### Macros

### Types

### Variables

STGenericException
STInternalInconsistencyException
STInvalidArgumentException
STLanguageBundleExtension
STLanguageBundlesDirectory
STLanguagesConfigFile
STLibraryDirectory
STMallocZone
STModuleExtension
STModulesDirectory
STNil
STScriptExtension
STScriptingEnvironmentExtension
STScriptingEnvironmentsDirectory
STScriptingException
STScriptsDirectory

Up

# STEngine class documentation

### Authors

Stefan Urbanek (`urbanek@host.sk`)

Date: Generated at 2026-02-09 22:49:36 +0000

Copyright: (C) 2002 Free Software Foundation

# Software documentation for the STEngine class

## STEngine : NSObject

> Declared in:
>   StepTalk/STEngine.h

STEngine is abstract class for language engines used to intepret scripts.

### Method summary

- +engineForLanguage:
- -executeMethod:forReceiver:withArguments:inContext:
- -interpretScript:inContext:
- -methodFromSource:forReceiver:inContext:
- -understandsCode:

### engineForLanguage:

+ (STEngine*) engineForLanguage: (NSString*)name;
Instance creation
Return a scripting engine for language with specified name. The engine is get from default language manager.

### executeMethod: forReceiver: withArguments: inContext:

- (id) executeMethod: (id<STMethod>)aMethod forReceiver: (id)anObject withArguments: (NSArray*)args inContext: (STContext*)context;
Description forthcoming.

### interpretScript: inContext:

- (id) interpretScript: (NSString*)script inContext: (STContext*)context;
Subclasses must override this method.
Interpret source code code in a context context. This is the method, that has to be implemented by those who are writing a language engine.

### methodFromSource: forReceiver: inContext:

- (id<STMethod>) methodFromSource: (NSString*)sourceString forReceiver: (id)receiver inContext: (STContext*)context;
Description forthcoming.

### understandsCode:

- (BOOL) understandsCode: (NSString*)code;
Description forthcoming.

Up